### set flow

Use the set flow command to configure or display flow control parameters for the device/terminal server’s EIA-232 serial ports. All users can use the set flow command to configure or display flow control parameters for the port they are using. Root privileges are required to use the set flow command to configure or display flow control parameters for other ports.

Also see set line and set ports.

#### Command Syntax

##### Configuration Syntax

Enter the set flow command as shown below to configure flow control attributes for ports.

`set flow [aixon={on|off}] [altpin={on|off}] [cts={on|off}] [dcd={on|off}] [dsr={on|off}] [dtr={on|off}] [itoss={on|off}] [ixany={on|off}] [ixoff={on|off}] [ixon={on|off}] [range=range] [ri={on|off}] [rts={on|off}] [revert={factory|nvram}]`

##### Display Syntax

Enter the set flow command as shown below to display flow control attributes for ports.

`set flow [range=range]`

#### Command Fields

Command Field | Description
aixon | on - means that the auxiliary flow control characters defined on the set keys command are used for output flow control. off - means that the auxiliary flow control characters defined on the set keys command are not used for output flow control. The default is off.
altpin | on - means that the altpin option is used. This option swaps DCD with DSR so eight-pin RJ-45 connectors can be used with modems. Ports using this option must be equipped with altpin cables. off - means that the altpin option is not used. The default is off.
cts | on - means CTS (clear to send) is used for output flow control. off - means CTS is not used for output flow control. The default is off.
dcd | on - means that DCD (data carrier detect) is used for output flow control. off - means that DCD is not used for output flow control. The default is off.
dsr | on - means that DSR (data set ready) is used for output flow control. off - means that DSR is not used for output flow control. The default is off.
dtr | on - means that DTR (data terminal ready) is used for input flow control. off - means that DTR is not used for input flow control. The default is off.
itoss | Used only with software flow control (XON/XOFF) and only if ixany=on. on - means that the character that resumes output is discarded. off - means that the character that resumes output is not discarded. The default is off.
ixany | Used only with software flow control. on - means any received character can restart device/terminal server output when output has been stopped because of software flow control. Specify on only when the device/terminal server communicates with a device, such as printers and terminals that use software flow control (XON/XOFF). off - means output will resume only when the XON character is received. The default is off.
ixoff | on - means that the device/terminal server will use input software flow control. off - means that the device/terminal server will not use input software flow control. The default is on.
ixon | on - means that the device/terminal server will use output software flow control. off - means that the device/terminal server will not use output software flow control. The default is on.
range | A port or range of ports to which this set flow command applies.
ri | on - means that RI (ring indicator) is used for output flow control. off - means that RI is not used for output flow control. The default is off.
rts | on - means that RTS (request to send) is used for output flow control. off - means that RTS is not used for output flow control. The default is off.
revert | factory - restore flow control settings to factory defaults. nvram - restore flow control settings to last saved settings.

#### Command Examples

##### Displaying Flow Control Settings

In this example the set flow command displays the flow control parameters for a port.

`set flow range=3`

##### Configuring Flow Control Settings

In this example, the set flow command configures hardware flow control.

`set flow range=3 cts=on rts=on ixoff=off ixon=off`